Callback Comments
Alle Operationen rund um Callback Comments.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Callback Comment | callback_comment |
5 | — | callback_comment_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/callback_comments |
Create callback_comment | Create a new callback_comment in the active tenant. |
DELETE |
/v1/callback_comments/{id} |
Delete callback_comment | Soft delete entity. |
GET |
/v1/callback_comments/{id} |
Get callback_comment by id | Fetch a single callback_comment. |
GET |
/v1/callback_comments/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/callback_comments/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/callback_comments/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/callback_comments |
List callback_comments | List callback_comments for the active tenant. |
PATCH |
/v1/callback_comments/{id} |
Patch callback_comment | JSON Merge Patch update. |
POST |
/v1/callback_comments/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/callback_comments/{id}/transition |
POST /v1/callback_comments/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/callback_comments/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/callback_comments/{id} |
Replace callback_comment | Full replace with optimistic locking. |